package com.tptj.demo.hg.toolbar.item.provider;

import com.fanruan.api.report.SundryKit;
import com.fr.form.ui.ToolBarButton;
import com.fr.intelli.record.Focus;
import com.fr.js.JavaScriptImpl;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.stable.web.Repository;
import com.fr.web.RepositoryDeal;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-16
 **/
@EnableMetrics
public class DemoButton extends ToolBarButton {
    public final static String NAME = "demo";
    public final static String ICON = "com/tptj/demo/hg/toolbar/item/provider/demo.png";
    public DemoButton(){
        super( NAME, NAME);
        SundryKit.loadToolbarIcon(NAME, ICON);
    }


    @Override
    @Focus(id = "com.tptj.demo.hg.toolbar.item.provider.v10",text = "toolbar item provider")
    protected JavaScriptImpl clickAction( Repository repo ) {
        return new JavaScriptImpl("alert('Hello World!"+((RepositoryDeal)repo).getSessionID()+"')");
    }
}
